# Contributing to `commit-and-tag-version`

Thank you for considering contributing to `commit-and-tag-version`! Your help is greatly appreciated.

## How to Get Started

1. **Fork** this repository to your GitHub account.
2. **Clone** the forked repository to your local machine.
3. **Create** a new branch for your contributions.
4. **Make** your changes or additions.
5. **Push** the branch to your forked repository.
6. **Submit** a pull request and describe the changes made.

## Bug Reports

If you encounter any bugs, please open an [issue](https://github.com/absolute-version/commit-and-tag-version/issues) and include:

- A detailed description of the bug.
- Steps to reproduce the bug.
- Expected and actual behavior.
- Your environment (OS, browser, etc.).

## Feature Requests

To suggest new features or enhancements, please open an [issue](https://github.com/absolute-version/commit-and-tag-version/issues) with:

- A clear and detailed description of the feature.
- The problem it would solve or the use case it would address.
- Any implementation suggestions.

## Pull Request Guidelines

- Ensure your code adheres to the project’s coding standards.
- Write tests for new features or bug fixes.
- Update documentation as necessary. If there are user facing changes / new features, please ensure the `Readme.md` is updated
- Provide a comprehensive description of your changes in the pull request.
- Do not include `package.lock.json` modifications; only include `package.json`. Maintainers will be responsible to generate it.
- Do not include multiple features in a single commit/PR
- Please title the PR with [conventional commits](https://www.conventionalcommits.org/), as PRs are squash merged

We look forward to your contributions and value your time and effort!
